This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 30425

Summary: Lookup META-INF functionality is not documented
Product: platform Reporter: Jaroslav Tulach <jtulach>
Component: LookupAssignee: Jaroslav Tulach <jtulach>
Status: VERIFIED FIXED    
Severity: blocker CC: jglick
Priority: P3 Keywords: ARCH
Version: 3.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:
Bug Depends on: 25988    
Bug Blocks: 30376    

Description Jaroslav Tulach 2003-01-28 13:59:43 UTC
I checked part of openide documentation about
lookup and cound not find a word about
META-INF/services registration and possible #-
unregistration. I believe that this flaw shall be
addressed.
Comment 1 Jaroslav Tulach 2003-02-20 17:12:08 UTC
The implentation was done as part of the issue 25988.
Comment 2 Marian Mirilovic 2003-03-13 13:43:45 UTC
Changed owner David S. -> David K.
Comment 3 David Konecny 2003-03-19 16:22:46 UTC
Jarda, would you be willing to write something about this and take
care about this issue? At the moment I do not know much details about
this and so all what I could write are two or three sentences.
Comment 4 David Konecny 2003-03-20 09:15:35 UTC
Dik.
Comment 5 Jaroslav Tulach 2003-03-27 14:34:03 UTC
Checking in api/doc/org/openide/doc-files/services-api.html;
/cvs/openide/api/doc/org/openide/doc-files/services-api.html,v  <-- 
services-api.html
new revision: 1.32; previous revision: 1.31
done
Processing log script arguments...
More commits to come...
Checking in arch/arch-openide-lookup.xml;
/cvs/openide/arch/arch-openide-lookup.xml,v  <--  arch-openide-lookup.xml
new revision: 1.12; previous revision: 1.11
done
Comment 6 Marian Mirilovic 2005-07-13 13:26:49 UTC
closed